function [p]=orthopol(z,n,gamma,alpha,beta,p0)
%orthopol   Version: 18.02.91
%
% this algorithm computes the value(s)
%
%       p_n(z)
%
% where p_n is given by the three term recurrence relation
%
%       gamma_n p_n(z) = (z - alpha_n) p_{n-1}(z) - beta_n p_{n-2}
%               p_{-1}(z) = 0, p_0(z) = p0
%
% and z is a complex vector.
 
poldold=p0;
pold=(z-alpha(1))*p0/gamma(1);
if n == 1 
   p=pold;
 else
   for k=2:n
      p=((z-alpha(k)).*pold-beta(k)*poldold)/gamma(k);
      poldold=pold;   pold=p;
   end
end
