function [Fsup]=generate_Fsup(h,nx,epsilon,delta,beta_x,beta_y)
%
% generates the matrix Fsup based upon
% Alisons analysis
%
% uses: tridiag, block_tridiag

%%matrix entries 
   ca=8/3*epsilon+delta*h*4/3*(beta_x*beta_x+beta_y*beta_y);
   cb=-1/3*epsilon+h/3*beta_x+delta*h/3*(-2*beta_x*beta_x+beta_y*beta_y); 
   cc=-1/3*epsilon-h/3*beta_x+delta*h/3*(-2*beta_x*beta_x+beta_y*beta_y); 
   cd=-1/3*epsilon+h/3*beta_y+delta*h/3*(beta_x*beta_x-2*beta_y*beta_y); 
   cg=-1/3*epsilon-h/3*beta_y+delta*h/3*(beta_x*beta_x-2*beta_y*beta_y); 
   ce=-1/3*epsilon+h/12*(beta_x+beta_y)-...
       delta*h*(1/6*(beta_x*beta_x+beta_y*beta_y)+1/2*beta_x*beta_y); 
   cf=-1/3*epsilon+h/12*(-beta_x+beta_y)-...
       delta*h*(1/6*(beta_x*beta_x+beta_y*beta_y)-1/2*beta_x*beta_y); 
   ch=-1/3*epsilon+h/12*(beta_x-beta_y)-...
       delta*h*(1/6*(beta_x*beta_x+beta_y*beta_y)-1/2*beta_x*beta_y); 
   ci=-1/3*epsilon-h/12*(beta_x+beta_y)-...
       delta*h*(1/6*(beta_x*beta_x+beta_y*beta_y)+1/2*beta_x*beta_y); 
   
%%generate Fsup
   T1=tridiag(ci,cg,ch,nx);
   T2=tridiag(cc,ca,cb,nx);
   T3=tridiag(cf,cd,ce,nx);
   Fsup=sparse(block_tridiag(T1,T2,T3));
   
return
